### Method

# Gtk StyleContext save

deprecated: 4.10

#### Declaration [src]

    void
    gtk_style_context_save (
      GtkStyleContext* context
    )

#### Description [src]

Saves the `context` state.

This allows temporary modifications done through `gtk_style_context_add_class()`, `gtk_style_context_remove_class()`, `gtk_style_context_set_state()` to be quickly reverted in one go through `gtk_style_context_restore()`.

The matching call to `gtk_style_context_restore()` must be done before GTK returns to the main loop.

Deprecated since: 4.10

This API will be removed in GTK 5